Obtener reporte de herramienta NPS
curl --request GET \
--url https://clientapi.woku.app/reports/nps-tool/{npsToolId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/reports/nps-tool/{npsToolId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/reports/nps-tool/{npsToolId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"npsToolId": "507f1f77bcf86cd799439021",
"name": "Post-Purchase Survey",
"npsScore": 55,
"totalResponses": 120,
"promoters": {
"count": 75,
"percentage": 62.5
},
"passives": {
"count": 30,
"percentage": 25
},
"detractors": {
"count": 15,
"percentage": 12.5
},
"scoreDistribution": {},
"recentResponses": [
{
"score": 5,
"comment": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 401,
"message": "Invalid or missing API key"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found"
}Reportes
Obtener reporte de herramienta NPS
Recupera los datos del reporte NPS de una herramienta NPS especifica, incluyendo la distribucion de puntaje, el conteo de respuestas y analiticas detalladas.
GET
/
reports
/
nps-tool
/
{npsToolId}
Obtener reporte de herramienta NPS
Autorizaciones
Clave de API de la empresa. Obtenla desde tu dashboard de Woku en Settings > API Keys.
Parámetros de ruta
MongoDB ObjectId de la herramienta NPS
Ejemplo:
"507f1f77bcf86cd799439011"
Respuesta
Reporte de herramienta NPS recuperado correctamente
Identificador de la herramienta NPS
Ejemplo:
"507f1f77bcf86cd799439021"
Nombre de la herramienta NPS
Ejemplo:
"Post-Purchase Survey"
Net Promoter Score de esta herramienta (-100 a 100)
Ejemplo:
55
Numero total de respuestas de esta herramienta
Ejemplo:
120
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Distribucion de puntajes de 0 a 10
Show child attributes
Show child attributes
Respuestas NPS recientes
Show child attributes
Show child attributes